# MEM_SAP.h File Reference

`#include "ace/ACE_export.h"`
`#include "ace/PI_Malloc.h"`
`#include "ace/Malloc_T.h"`
`#include "ace/MMAP_Memory_Pool.h"`
`#include "ace/Process_Mutex.h"`
`#include "ace/MEM_SAP.inl"`

Include dependency graph for MEM_SAP.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | ACE_MEM_SAP_Node
class | ACE_MEM_SAP
| Defines the methods of shared memory management for shared memory transport. More...

## Detailed Description

Id
  MEM_SAP.h,v 4.25 2006/02/10 10:01:01 jwillemsen Exp

Author:
  Nanbor Wang <nanbor@cs.wustl.edu>